LOOK(1)

NAME
look - find lines in a sorted list

SYNOPSIS
look [ -dfnixtc ] [ string ] [ file ]

DESCRIPTION
Look consults a sorted file and prints all lines that begin with string. It uses binary search.

The following options are recognized. Options dfnt affect comparisons as in sort(1).

-i  Interactive. There is no string argument; instead look takes lines from the standard input as strings to be looked up.

-x  Exact. Print only lines of the file whose key matches string exactly.

-d  `Directory' order: only letters, digits, tabs and blanks participate in comparisons.

-f  Fold. Upper case letters compare equal to lower case.

-n  Numeric comparison with initial string of digits, optional minus sign, and optional decimal point.

-t[c]
    Character c terminates the sort key in the file. By default, tab terminates the key. If c is missing the entire line comprises the key.

If no file is specified, /lib/words is assumed, with collating sequence df.

FILES
/lib/words

SOURCE
/usr/local/plan9/src/cmd/look.c

SEE ALSO
sort(1), grep(1)

DIAGNOSTICS
The exit status is ``not found'' if no match is found, and ``no dictionary'' if file or the default dictionary cannot be opened.